# WHAT
#  To RUN calcs with LAMMPS on Ipazia
#
#--------------------------------------------------------------
# VERSIONS
#  v01 = 2014-01-24
#
######################################################################
# VARIABLES for IPAZIA CLUSTER
#=== job name:
#PBS -N lmp-RUN
#=== wall time limit (h:m:s)
#PBS -l walltime=2:00:00
#=== memory usage
#PBS -l nodes=1:ppn=1
#PBS -q infinijazz
#=== join stdout and stderr
#PBS -j oe
#======================================

# set path to use Intel compilers

# set path to use GNU compilers
#PATH=/opt/parastation/mpich/bin:$PATH
#############################################################################
# VARIABLES
  
  lmp_exe='../lmp_openmpi_DS03_20140324.01.x'
  #name='Cr-AFtest01.scf.cg'  #then added .in and .out

  INPUT='in.testcube.Ters' 
  OUTPUT='out-DS.testcube.Ters'

  #INPUT='in.corundum' 
  #OUTPUT='out-DS.corundum'

  NCORES=2
  pre_exe='mpiexec -np ${NCORES}' # parallelo

  #pre_exe='' # seriale



#############################################################################

  # set MKL libary path
  #ulimit -s unlimited
  #export LD_LIBRARY_PATH=/home/libs/mkl/lib_11:"$LD_LIBRARY_PATH"

  # move to the folder where qsub was invoked
  #  cd $PBS_O_WORKDIR  # qsub was launched in this dir

  # read the number of cores 
  #  cat $PBS_NODEFILE > nodes
  #  NSLOTS=$(cat $PBS_NODEFILE | wc -l)

  # clean something in the folder
    rm -f *Log*
    rm -f $OUTPUT
    rm -f RUN.*

  # Intestazione
    echo "####################################################################" > $OUTPUT.RUN
    date +"%F (%u) @ %T (Time Zone = %z)" >> $OUTPUT.RUN
    uname -n >> $OUTPUT.RUN
    pwd >> $OUTPUT.RUN
    echo >> $OUTPUT.RUN
    echo "INPUT FILE = $INPUT " >> $OUTPUT.RUN
    echo "OUTPUT FILE = $OUTPUT" >> $OUTPUT.RUN
    echo >> $OUTPUT.RUN
    echo "####################################################################" >> $OUTPUT.RUN

  # run the code
    echo "Running LAMMPS ..." >> $OUTPUT.RUN
    #mpiexec -np ${NCORES} $lmp_exe < $INPUT > $OUTPUT
    ${pre_exe} $lmp_exe < $INPUT > $OUTPUT
    echo "... DONE!" >> $OUTPUT.RUN

  # vedere se fatto tutto
    echo >> $OUTPUT.RUN
    egrep "All done" $OUTPUT >> $OUTPUT.RUN


  # How much it took ?
    echo  >> $OUTPUT.RUN
    echo "####################################################################" >> $OUTPUT.RUN
    echo ">>>>>>>>>>> FINISHED AT:" >> $OUTPUT.RUN
    date +"%F (%u) @ %T (Time Zone = %z)" >> $OUTPUT.RUN
    echo "####################################################################" >> $OUTPUT.RUN
   
  # Dove salvato ?   
    #echo  > $OUTPUT.RUN
    echo 
    echo ">>>> $OUTPUT <<<<"
    echo
